Flushes all response data to the client

- « FPM Functions

- fpm_get_status »

- PHP Manual
- FPM Functions
- Flushes all response data to the client

# fastcgi_finish_request

(PHP 5 >= 5.3.3, PHP 7, PHP 8)

fastcgi_finish_request — Flushes all response data to the client

### Description

fastcgi_finish_request(): bool

This function flushes all response data to the client and finishes the request. This allows for time consuming tasks to be performed without leaving the connection to the client open.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.